Bug 906908 - When new mount point creation falls back to creating an LV within an existing VG, its default size is the amount of unpartitioned space remaining, not the amount of space inside the VG
When new mount point creation falls back to creating an LV within an existing...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All All
unspecified Severity low
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-02-01 16:29 EST by Adam Williamson
Modified: 2013-05-12 19:40 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-19.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-12 19:40:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-02-01 16:29:07 EST
In custom partitioning, if you 'add a new mount point' without specifying a Desired Capacity, anaconda tries to figure one out for you. it seems to use the 'available space' counter for this function, unconditionally - it just makes it as big as you have 'available space' remaining.

This is as good a way to do it as any for most cases, but it has a weird result in one corner case. If the default type for new devices is set to LVM (set by the dropdown on the Installation Options dialog, LVM is the default), and you have an existing VG with free space inside it and very little actual unpartitioned space remaining, when you create a new mount point, anaconda will first try to create a new VG, and - when that fails - instead create the mount point as an LV within the existing VG. That's smart! However, if you don't specify a size, anaconda will use the 'available space' to decide how big the new LV should be, even though in this particular corner case, that doesn't make sense. So even though you have 50GB or whatever of free space in the VG, your new LV will be created as 900kB or whatever tiny amount of space you had available outside the VG. (If the size you wind up with is less than 1MB, this will actually trigger an orange error bar).

This is a much bigger problem in combination with https://bugzilla.redhat.com/show_bug.cgi?id=906906 - a related problem with the editing options which means you can't edit the size of the newly created LV. If 906906 gets fixed, this gets relegated to more 'annoyance that looks pretty kooky' than 'major problem'.
Comment 1 Fedora End Of Life 2013-04-03 15:18:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
Comment 2 David Lehman 2013-04-08 11:00:43 EDT
This should be fixed in anaconda-19.17-1.
Comment 3 Adam Williamson 2013-04-08 18:49:21 EDT
I'll try and remember to check it, thanks.
Comment 4 Adam Williamson 2013-05-12 19:40:48 EDT
Tested in Beta TC4, confirmed fixed. Thanks!

Note You need to log in before you can comment on or make changes to this bug.